org.apache.fop.svg.text

## Class ComplexGlyphLayout

- java.lang.Object
- - org.apache.batik.bridge.GlyphLayout
  - - org.apache.fop.svg.text.ComplexGlyphLayout

- All Implemented Interfaces:
    org.apache.batik.bridge.TextSpanLayout

      public class ComplexGlyphLayout
      extends org.apache.batik.bridge.GlyphLayout

- - ### Field Summary

    - ### Fields inherited from class org.apache.batik.bridge.GlyphLayout

      `advance, eps, FLOW_EMPTY_PARAGRAPH, FLOW_LINE_BREAK, FLOW_PARAGRAPH, gv, GVT_FONT, HORIZONTAL_ORIENTATION_ANGLE, layoutApplied, LINE_HEIGHT, runAtts, szAtts, VERTICAL_ORIENTATION, VERTICAL_ORIENTATION_ANGLE`

    - ### Fields inherited from interface org.apache.batik.bridge.TextSpanLayout

      `DECORATION_ALL, DECORATION_OVERLINE, DECORATION_STRIKETHROUGH, DECORATION_UNDERLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexGlyphLayout(AttributedCharacterIterator aci, int[] charMap, Point2D offset, FontRenderContext frc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getAciIndex(int aciIndex, int loopIndex)`
    `static boolean` | `mayRequireComplexLayout(AttributedCharacterIterator aci)`

    - ### Methods inherited from class org.apache.batik.bridge.GlyphLayout

      `addPtsToPath, adjustTextSpacing, applyStretchTransform, doExplicitGlyphLayout, doPathLayout, doSpacing, draw, epsEQ, getAdvance2D, getBounds2D, getCharacterCount, getComputedOrientationAngle, getDecorationOutline, getFont, getGeometricBounds, getGlyphAdvances, getGlyphCount, getGlyphIndex, getGlyphMetrics, getGlyphOrientationAngle, getGlyphVector, getHighlightShape, getLastGlyphIndex, getLineMetrics, getOffset, getOutline, getOverlineShape, getStrikethroughShape, getTextPathAdvance, getUnderlineShape, hasCharacterIndex, hitTestChar, isAltGlyph, isGlyphOrientationAuto, isLatinChar, isLeftToRight, isOnATextPath, isReversed, isVertical, makeConvexHull, maybeReverse, mergeAreas, setOffset, setScale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexGlyphLayout

          public ComplexGlyphLayout(AttributedCharacterIterator aci,
                                    int[] charMap,
                                    Point2D offset,
                                    FontRenderContext frc)

  - ### Method Detail

    - #### getAciIndex

          protected int getAciIndex(int aciIndex,
                                    int loopIndex)

      Overrides:
        `getAciIndex` in class `org.apache.batik.bridge.GlyphLayout`

    - #### mayRequireComplexLayout

          public static final boolean mayRequireComplexLayout(AttributedCharacterIterator aci)

Copyright © 2025 Apache Software Foundation. All rights reserved.